Перейти к основному содержанию
POST
/
seedance
/
videos
Seedance Videos
curl --request POST \
  --url https://api.acedata.cloud/seedance/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "doubao-seedance-1-0-pro-250528",
  "content": [
    {
      "type": "text",
      "text": "A kitten yawning at the camera. --rs 720p --rt 16:9 --dur 5 --fps 24 --wm true --seed 11 --cf false"
    }
  ],
  "generate_audio": false,
  "callback_url": "<string>",
  "return_last_frame": false,
  "service_tier": "default",
  "execution_expires_after": 172800
}
'
{
  "success": true,
  "task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
  "trace_id": "a9063166-26ed-4451-85b5-54e896817c69",
  "data": [
    {
      "id": "cgt-2025******-***",
      "model": "doubao-seedance-1-0-pro-250528",
      "status": "succeeded",
      "content": {
        "video_url": "https://ark-content-generation-cn-beijing.tos-cn-beijing.volces.com/doubao-seedance-1-0-pro/****"
      },
      "seed": 10,
      "resolution": "720p",
      "ratio": "16:9",
      "duration": 5,
      "framespersecond": 24,
      "service_tier": "default",
      "execution_expires_after": 172800,
      "usage": {
        "completion_tokens": 108900,
        "total_tokens": 108900
      },
      "created_at": 1743414619,
      "updated_at": 1743414673
    }
  ]
}

Авторизации

Authorization
string
header
обязательно

Заголовки

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

Доступные опции:
application/json

Тело

application/json
model
enum<string>
обязательно

Model ID to be used for video generation

Доступные опции:
doubao-seedance-1-0-pro-250528,
doubao-seedance-1-0-pro-fast-251015,
doubao-seedance-1-5-pro-251215,
doubao-seedance-1-0-lite-t2v-250428,
doubao-seedance-1-0-lite-i2v-250428
Пример:

"doubao-seedance-1-0-pro-250528"

content
object[]
обязательно

Input content for video generation. Each item MUST contain either 'text' or 'image_url', but not both. The presence and meaning of other fields depend on the 'type'.

Пример:
{
"type": "text",
"text": "A kitten yawning at the camera. --rs 720p --rt 16:9 --dur 5 --fps 24 --wm true --seed 11 --cf false"
}
generate_audio
boolean
по умолчанию:false

Whether to generate audio for the video. Only supported by doubao-seedance-1-5-pro-251215. Other models will ignore this parameter.

callback_url
string<uri>

Callback URL for receiving the final task result notification. When provided, the API returns immediately with a task_id and posts the result to this URL upon completion.

return_last_frame
boolean
по умолчанию:false

Whether to return the last frame of generated video

service_tier
enum<string>
по умолчанию:default

Service level type for processing this request

Доступные опции:
default,
flex
execution_expires_after
integer
по умолчанию:172800

Task timeout threshold in seconds

Требуемый диапазон: 3600 <= x <= 259200

Ответ

OK, the request is successful.

The response is of type object.